Bug 1861144 - Error in the suricata configuration file
Summary: Error in the suricata configuration file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: suricata
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-27 22:14 UTC by Фукидид
Modified: 2020-10-31 02:25 UTC (History)
4 users (show)

Fixed In Version: suricata-5.0.4-1.fc33 suricata-5.0.4-1.fc32 suricata-4.1.9-1.fc31 suricata-5.0.4-1.el8 suricata-4.1.9-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:15:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Фукидид 2020-07-27 22:14:08 UTC
In the file /etc/suricata/suricata.yaml replace
"default-log-dir: /var/log/suricata/"
with
"default-log-dir: /var/log/suricata".

Because of the slash at the end, suricata tries to open the file at the path "/var/log/suricata//fast.log".

Comment 1 Фукидид 2020-07-27 22:36:17 UTC
You should also change the file owner
/var/log/suricata/eve.json
/var/log/suricata/fast.log
/var/log/suricata/stats.log
from root to suricata, otherwise, they can't be accessed.

Comment 2 Фукидид 2020-07-28 18:26:00 UTC
/var/log/suricata/suricata.log too.

Comment 3 Фукидид 2020-07-28 21:25:25 UTC
#geoip-database: /usr/local/share/GeoLite2/GeoLite2-Country.mmdb -> geoip-database: /usr/share/GeoIP/GeoLite2-Country.mmdb

Comment 4 Fedora Update System 2020-10-15 23:02:14 UTC
FEDORA-EPEL-2020-01179f6b9f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-01179f6b9f

Comment 5 Fedora Update System 2020-10-15 23:02:16 UTC
FEDORA-2020-58dc592b7b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-58dc592b7b

Comment 6 Fedora Update System 2020-10-15 23:02:16 UTC
FEDORA-2020-140fcc96c8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-140fcc96c8

Comment 7 Fedora Update System 2020-10-15 23:02:17 UTC
FEDORA-2020-3449b92e5f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3449b92e5f

Comment 8 Fedora Update System 2020-10-16 15:02:01 UTC
FEDORA-EPEL-2020-01179f6b9f has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-01179f6b9f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-16 15:12:19 UTC
FEDORA-EPEL-2020-b7912a8edb has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b7912a8edb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-16 16:01:46 UTC
FEDORA-2020-3449b92e5f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3449b92e5f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3449b92e5f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-16 16:08:10 UTC
FEDORA-2020-58dc592b7b has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-58dc592b7b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-58dc592b7b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-16 22:17:34 UTC
FEDORA-2020-140fcc96c8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-140fcc96c8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-140fcc96c8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-23 22:15:21 UTC
FEDORA-2020-140fcc96c8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-10-23 22:40:01 UTC
FEDORA-2020-3449b92e5f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-10-23 22:47:00 UTC
FEDORA-2020-58dc592b7b has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-10-31 02:10:43 UTC
FEDORA-EPEL-2020-b7912a8edb has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-10-31 02:25:25 UTC
FEDORA-EPEL-2020-01179f6b9f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.